MSVCR110.dll error
Posted by: SelwynNZ (---.bb.spark.co.nz)
Date: May 09, 2018 05:13AM

Installing as administrator to M: drive shows
"The code execution cannot proceed because MSVCR110.dll was not found. Reinstalling may fix this problem "
I have uninstalled WAMP each time before restarting 6 times and doing further testing

Further research found:
The Apache service named reported the following error:
>>> httpd.exe: Syntax error on line 195 of M:/wamp/bin/apache/apache2.4.33/conf/httpd.conf:
L 195 = LoadModule php5_module "${INSTALL_DIR}/bin/php/php5.6.35/php5apache2_4.dll"
Cannot load M:/wamp/bin/php/php5.6.35/php5apache2_4.dll into server: The specified module could not be found.

If it cannot be found could it be a problem with the INSTALL_DIR setting?
As I can see the M:\wamp\bin\php\php5.6.35/php5apache2_4.dll iOK.

Am I missing something? Or is it something I cannot fix without your help?

1 = Windows 10 64 bit
2 = v3.13 32 bit only installed ?
3 = 2.4.33
4 = 5.6.35, 7.0.29, 7.1.16, 7.2.4
5 = 5.7.21
5a = 10.2.14
6 = Orange

4, The three services: mysgld, wampmysqld and wampmariadb autoinstalled as 32-bit versions
Services.msc all show them starting as Manual.

5, There were no previous installations of the above

6, No other php.ini in C: or M: drive:
7. The my.ini only appears in M:\wamp\bin\php\ folders

8, No IIS is installed

9, 127.0.0.1 localhost
9-1, ::1 localhost
9-2, Ipv6 is supported

Only log files found in M/wamp/logs/ date from before my installation

No other server is installed

WAMP Autoinstalled only 32 bit

Verify that all VC ++ packages are installed and with the latest versions.
VC15 was installed but it does not show up with the Check VC++ app.
it only shows VC_2008 to VC_2013 = NOT INSTALLED.
Is that correct?

Options: ReplyQuote
Re: MSVCR110.dll error
Posted by: Otomatic (Moderator)
Date: May 09, 2018 09:14AM

Hi,

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
And you will find all the packages on [wampserver.aviatechno.net] in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.

The result MUST BE:
All the VC++ packages needed to Wampserver are installed correctly
Until you get this message, there is no point in trying to use Wampserver.

On the other hand, if you had read the displayed message just before the installation actually started, you would have saved yourself all these questions.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.3 32 bit - Apache 2.4.33 - PHP 7.2.5/7.1.17/7.0.30/5.6.36 - MySQL 5.7.22 - MariaDB 10.2.15
Wampserver 3.1.3 64 bit - Apache 2.4.33 - PHP 7.2.5/7.1.17/7.0.30/5.6.36 - MySQL 5.7.22 - MariaDB 10.2.15
PhPMyAdmin 4.8.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.